/*
 * Copyright (c) eHealth
 */
package be.ehealth.technicalconnector.service.sts.security.impl.beid.impl;

import org.junit.Test;

import be.ehealth.technicalconnector.config.ConfigFactory;
import be.ehealth.technicalconnector.config.Configuration;
import be.ehealth.technicalconnector.config.ConfigurationModule;
import be.ehealth.technicalconnector.config.impl.ConfigurationModuleDefaultLanguage;
import be.fedict.commons.eid.client.PINPurpose;


/**
 * Integration test that validates the Gui
 * 
 * @author EHP
 * 
 * 
 * 
 */
public class BeIDConnectorGuiSwingUserIntegrationTest {

    @Test
    public void testObtainPIN() throws Exception {
        Configuration conf = ConfigFactory.getConfigValidator().getConfig();
        conf.setProperty("locale.default.lang", "el");
        ConfigurationModule defaultLang = new ConfigurationModuleDefaultLanguage();
        defaultLang.init(conf);
        new BeIDConnectorGuiSwing().obtainPIN(3, PINPurpose.AuthenticationSignature);

    }

}
